%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define oname system-tools-backends
Summary:	GNOME System Tools Backends
Name: 		system-tools-backends2
Version: 1.9.5.1
Release: %mkrel 2
License: 	LGPL
Group: 		System/Configuration/Other
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{oname}/%{oname}-%{version}.tar.bz2
Patch0:	system-tools-backends-1.9.0-mandriva.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://www.gnome.org/projects/gst/
BuildArch: noarch
BuildRequires:	perl-Net-DBus
#gw for intltool
BuildRequires:	perl-XML-Parser

%description
Day-to-day system management on Unix systems is a chore. Even when 
you're using a friendly graphical desktop, seemingly basic tasks 
like setting the system time, changing the network setup, importing 
and exporting network shared filesystems and configuring swap partitions 
requires editing configuration files by hand, and the exact procedure 
varies between different operating systems and distributions.

The GNOME System Tools solve all these problems, giving you a simple
graphical interface for each task, which uses an advanced backend to 
edit all the relevant files and apply your changes. The interface 
looks and acts in exactly the same way regardless of what platform 
you're using.

This package contains the backends of GNOME System Tools.

%prep
%setup -q -n %oname-%version
%patch0 -p1 -b .mandrakelinux

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib --sysconfdir=%_sysconfdir --with-stb-group=wheel
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std pkgconfigdir=%pkgconfigdir

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc README AUTHORS NEWS ChangeLog 
%config(noreplace) %_sysconfdir/dbus-1/system.d/system-tools-backends.conf
%_datadir/dbus-1/services/org.freedesktop.SystemToolsBackends.service
%_datadir/system-tools-backends-2.0/
%pkgconfigdir/system-tools-backends-2.0.pc

%changelog
* Tue Sep 12 2006 Götz Waschk <waschk@mandriva.org> 1.9.5.1-2mdv2007.0
- set stb group to wheel

* Mon Sep 11 2006 Götz Waschk <waschk@mandriva.org> 1.9.5.1-1mdv2007.0
- New version 1.9.5.1
- update file list

* Sun Aug 13 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2007.0
- New release 1.9.3

* Thu Aug  3 2006 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2007.0
- initial package
